# Uses of Interface
org.apache.datasketches.quantilescommon.QuantilesFloatsSketchIterator

Packages that use QuantilesFloatsSketchIterator
Package
Description
org.apache.datasketches.kll
This package is for the implementations of the sketch algorithm developed by Zohar Karnin, Kevin Lang, and Edo Liberty that is commonly referred to as the "KLL" sketch after the authors' last names.
org.apache.datasketches.quantilescommon
This package contains common tools and methods for the quantiles, kll and req packages.
org.apache.datasketches.req
This package is for the implementation of the Relative Error Quantiles sketch algorithm.

## Uses of QuantilesFloatsSketchIterator in org.apache.datasketches.kll

Classes in org.apache.datasketches.kll that implement QuantilesFloatsSketchIterator
Modifier and Type
Class
Description
`final class`
`KllFloatsSketchIterator`
Iterator over KllFloatsSketch.
Methods in org.apache.datasketches.kll that return QuantilesFloatsSketchIterator
Modifier and Type
Method
Description
`QuantilesFloatsSketchIterator`
KllFloatsSketch.`iterator()`

## Uses of QuantilesFloatsSketchIterator in org.apache.datasketches.quantilescommon

Methods in org.apache.datasketches.quantilescommon that return QuantilesFloatsSketchIterator
Modifier and Type
Method
Description
`QuantilesFloatsSketchIterator`
QuantilesFloatsAPI.`iterator()`
Gets the iterator for this sketch, which is not sorted.

## Uses of QuantilesFloatsSketchIterator in org.apache.datasketches.req

Classes in org.apache.datasketches.req that implement QuantilesFloatsSketchIterator
Modifier and Type
Class
Description
`final class`
`ReqSketchIterator`
Iterator over all retained items of the ReqSketch.
Methods in org.apache.datasketches.req that return QuantilesFloatsSketchIterator
Modifier and Type
Method
Description
`QuantilesFloatsSketchIterator`
ReqSketch.`iterator()`